Page 1 of 1

Error installing PHP5.6 on OSX

Posted: Wed Aug 16, 2017 6:59 am
by xti21
Hi everyone,

I'm trying to install PHP 5.6 on my Mac OS Sierra using terminal.
When I try to install following your homepage instructions, terminal shows me an error:

Code: Select all

iMac-de-Xavi:~ xavi$ curl -s https://php-osx.liip.ch/install.ch | bash -s 5.6
bash: line 1: !DOCTYPE: No such file or directory
bash: line 2: syntax error near unexpected token `newline'
bash: line 2: `    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">'
Has anyone see it before?

Thank you so much in advance

Re: Error installing PHP5.6 on OSX

Posted: Wed Aug 16, 2017 9:14 am
by hyper
Looks to me that you're executing your file as a bash script, you need to store the file in the correct file location; check that you have installed the php command line interface.

Whatever you are following is way out of date, do you really need to use PHP 5.6? and must you use html 4?